Package org.lwjgl.opengl

# Class GL43

java.lang.Object
org.lwjgl.opengl.GL43

public final class GL43 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_RESOURCES`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_ACTIVE_VARIABLES`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ANY_SAMPLES_PASSED_CONSERVATIVE`
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryIndexediv and GetQueryiv:
`static final int`
`GL_ARRAY_SIZE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ARRAY_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_AUTO_GENERATE_MIPMAP`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_BLOCK_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BUFFER`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_BUFFER_BINDING`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BUFFER_DATA_SIZE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_BUFFER_VARIABLE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_CAVEAT_SUPPORT`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_CLEAR_BUFFER`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COLOR_COMPONENTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COLOR_ENCODING`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COLOR_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COMPRESSED_R11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RG11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RGB8_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_RGBA8_ETC2_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SIGNED_R11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SIGNED_RG11_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SRGB8_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2`
Accepted by the <internalformat> parameter of CompressedTexImage2D
`static final int`
`GL_COMPUTE_SHADER`
Accepted by the <type> parameter of CreateShader and returned in the <params> parameter by GetShaderiv:
`static final int`
`GL_COMPUTE_SHADER_BIT`
Accepted by the <stages> parameter of UseProgramStages:
`static final int`
`GL_COMPUTE_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_COMPUTE_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_COMPUTE_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_COMPUTE_WORK_GROUP_SIZE`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_CONTEXT_FLAG_DEBUG_BIT`
Returned by GetIntegerv when <pname> is CONTEXT_FLAGS:
`static final int`
`GL_DEBUG_CALLBACK_FUNCTION`
Tokens accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_DEBUG_CALLBACK_USER_PARAM`
Tokens accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_DEBUG_GROUP_STACK_DEPTH`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_DEBUG_LOGGED_MESSAGES`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_DEBUG_OUTPUT`
Tokens accepted by the <target> parameters of Enable, Disable, and IsEnabled:
`static final int`
`GL_DEBUG_OUTPUT_SYNCHRONOUS`
Tokens accepted by the <target> parameters of Enable, Disable, and IsEnabled:
`static final int`
`GL_DEBUG_SEVERITY_HIGH`
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SEVERITY_LOW`
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SEVERITY_MEDIUM`
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SEVERITY_NOTIFICATION`
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SOURCE_API`
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SOURCE_APPLICATION`
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SOURCE_OTHER`
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SOURCE_SHADER_COMPILER`
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SOURCE_THIRD_PARTY`
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_SOURCE_WINDOW_SYSTEM`
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_ERROR`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_MARKER`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_OTHER`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_PERFORMANCE`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_POP_GROUP`
Tokens accepted or provided by the <type> parameters of DebugMessageControl and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_PORTABILITY`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_PUSH_GROUP`
Tokens accepted or provided by the <type> parameters of DebugMessageControl and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR`
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:
`static final int`
`GL_DEPTH_COMPONENTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_DEPTH_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_DEPTH_STENCIL_TEXTURE_MODE`
Accepted by the <pname> parameter of TexParameter* and GetTexParameter*:
`static final int`
`GL_DISPATCH_INDIRECT_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:
`static final int`
`GL_DISPATCH_INDIRECT_BUFFER_BINDING`
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_DISPLAY_LIST`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_FILTER`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAGMENT_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_FRAGMENT_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_FRAGMENT_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAMEBUFFER_BLEND`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_HEIGHT`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_LAYERS`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_SAMPLES`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_DEFAULT_WIDTH`
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:
`static final int`
`GL_FRAMEBUFFER_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FRAMEBUFFER_RENDERABLE_LAYERED`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_FULL_SUPPORT`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_GEOMETRY_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_GEOMETRY_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_GEOMETRY_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_GET_TEXTURE_IMAGE_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_GET_TEXTURE_IMAGE_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_CLASS_1_X_16`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_1_X_32`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_1_X_8`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_10_10_10_2`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_11_11_10`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_2_X_16`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_2_X_32`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_2_X_8`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_4_X_16`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_4_X_32`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_CLASS_4_X_8`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_IMAGE_COMPATIBILITY_CLASS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_PIXEL_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_PIXEL_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IMAGE_TEXEL_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_ALPHA_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_ALPHA_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_BLUE_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_BLUE_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_DEPTH_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_DEPTH_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_GREEN_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_GREEN_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_PREFERRED`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_RED_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_RED_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_SHARED_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_STENCIL_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_STENCIL_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_INTERNALFORMAT_SUPPORTED`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_IS_PER_PATCH`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_IS_ROW_MAJOR`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_LOCATION`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_LOCATION_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_MANUAL_GENERATE_MIPMAP`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MATRIX_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMBINED_DIMENSIONS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES`
Alias for the existing token MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS:
`static final int`
`GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMPUTE_SHARED_MEMORY_SIZE`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_UNIFORM_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_UNIFORM_COMPONENTS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_WORK_GROUP_COUNT`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:
`static final int`
`GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_COMPUTE_WORK_GROUP_SIZE`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:
`static final int`
`GL_MAX_DEBUG_GROUP_STACK_DEPTH`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_DEBUG_LOGGED_MESSAGES`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_DEBUG_MESSAGE_LENGTH`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_DEPTH`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_ELEMENT_INDEX`
Accepted by the <value> parameter of the GetInteger* functions:
`static final int`
`GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_HEIGHT`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_LAYERS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_SAMPLES`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAMEBUFFER_WIDTH`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_HEIGHT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_LABEL_LENGTH`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:
`static final int`
`GL_MAX_LAYERS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MAX_NAME_LENGTH`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_MAX_NUM_ACTIVE_VARIABLES`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_MAX_NUM_COMPATIBLE_SUBROUTINES`
Accepted by the <pname> parameter of GetProgramInterfaceiv:
`static final int`
`GL_MAX_SHADER_STORAGE_BLOCK_SIZE`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_UNIFORM_LOCATIONS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_VERTEX_ATTRIB_BINDINGS`
Accepted by the <pname> parameter of GetIntegerv, ...
`static final int`
`GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET`
Accepted by the <pname> parameter of GetIntegerv, ...
`static final int`
`GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_WIDTH`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_MIPMAP`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_NAME_LENGTH`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_NUM_ACTIVE_VARIABLES`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_NUM_SHADING_LANGUAGE_VERSIONS`
No.
`static final int`
`GL_OFFSET`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_PRIMITIVE_RESTART_FIXED_INDEX`
Accepted by the <target> parameter of Enable and Disable:
`static final int`
`GL_PROGRAM`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_PROGRAM_INPUT`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_PROGRAM_OUTPUT`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_PROGRAM_PIPELINE`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_QUERY`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_READ_PIXELS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_READ_PIXELS_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_READ_PIXELS_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_REFERENCED_BY_COMPUTE_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_FRAGMENT_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_GEOMETRY_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_TESS_CONTROL_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_TESS_EVALUATION_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_REFERENCED_BY_VERTEX_SHADER`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_SAMPLER`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_SHADER`
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:
`static final int`
`GL_SHADER_IMAGE_ATOMIC`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SHADER_IMAGE_LOAD`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SHADER_IMAGE_STORE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SHADER_STORAGE_BARRIER_BIT`
Accepted in the <barriers> bitfield in glMemoryBarrier:
`static final int`
`GL_SHADER_STORAGE_BLOCK`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_SHADER_STORAGE_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:
`static final int`
`GL_SHADER_STORAGE_BUFFER_BINDING`
Accepted by the <pname> parameter of GetIntegerv, GetIntegeri_v, GetBooleanv, GetInteger64v, GetFloatv, GetDoublev, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT`
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_SHADER_STORAGE_BUFFER_SIZE`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_SHADER_STORAGE_BUFFER_START`
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SRGB_DECODE_ARB`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SRGB_READ`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_SRGB_WRITE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_STENCIL_COMPONENTS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_STENCIL_RENDERABLE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TESS_CONTROL_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_CONTROL_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_CONTROL_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TESS_EVALUATION_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_EVALUATION_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TESS_EVALUATION_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_BUFFER_OFFSET`
Accepted by the <pname> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_TEXTURE_BUFFER_SIZE`
Accepted by the <pname> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_COMPRESSED_BLOCK_SIZE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_COMPRESSED_BLOCK_WIDTH`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_GATHER`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_GATHER_SHADOW`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_IMAGE_FORMAT`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_IMAGE_TYPE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_IMMUTABLE_LEVELS`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_SHADOW`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_VIEW`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_TEXTURE_VIEW_MIN_LAYER`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_MIN_LEVEL`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_NUM_LAYERS`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TEXTURE_VIEW_NUM_LEVELS`
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:
`static final int`
`GL_TOP_LEVEL_ARRAY_SIZE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_TOP_LEVEL_ARRAY_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_VARYING`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_TYPE`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_UNIFORM_BLOCK`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER`
Accepted by the <pname> parameter of GetActiveUniformBlockiv:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_LONG`
Vertex attrib array has unconverted doubles.
`static final int`
`GL_VERTEX_ATTRIB_BINDING`
Accepted by the <pname> parameter of GetVertexAttrib*v:
`static final int`
`GL_VERTEX_ATTRIB_RELATIVE_OFFSET`
Accepted by the <pname> parameter of GetVertexAttrib*v:
`static final int`
`GL_VERTEX_BINDING_DIVISOR`
Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_VERTEX_BINDING_OFFSET`
Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_VERTEX_BINDING_STRIDE`
Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static final int`
`GL_VERTEX_SUBROUTINE`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_VERTEX_SUBROUTINE_UNIFORM`
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:
`static final int`
`GL_VERTEX_TEXTURE`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_VIEW_CLASS_128_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_16_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_24_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_32_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_48_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_64_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_8_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_96_BITS`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_BPTC_FLOAT`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_BPTC_UNORM`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_RGTC1_RED`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_RGTC2_RG`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT1_RGB`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT1_RGBA`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT3_RGBA`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_CLASS_S3TC_DXT5_RGBA`
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v
`static final int`
`GL_VIEW_COMPATIBILITY_CLASS`
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindVertexBuffer(int bindingindex, int buffer, long offset, int stride)`
`static void`
`glClearBufferData(int target, int internalformat, int format, int type, ByteBuffer data)`
`static void`
`glClearBufferSubData(int target, int internalformat, long offset, long size, int format, int type, ByteBuffer data)`
`static void`
`glCopyImageSubData(int srcName, int srcTarget, int srcLevel, int srcX, int srcY, int srcZ, int dstName, int dstTarget, int dstLevel, int dstX, int dstY, int dstZ, int srcWidth, int srcHeight, int srcDepth)`
`static void`
`glDebugMessageCallback(KHRDebugCallback callback)`
The `KHRDebugCallback.Handler` implementation passed to this method will be used for KHR_debug messages.
`static void`
`glDebugMessageControl(int source, int type, int severity, IntBuffer ids, boolean enabled)`
`static void`
`glDebugMessageInsert(int source, int type, int id, int severity, CharSequence buf)`
Overloads glDebugMessageInsert.
`static void`
`glDebugMessageInsert(int source, int type, int id, int severity, ByteBuffer buf)`
`static void`
`glDispatchCompute(int num_groups_x, int num_groups_y, int num_groups_z)`
`static void`
`glDispatchComputeIndirect(long indirect)`
`static void`
`glFramebufferParameteri(int target, int pname, int param)`
`static int`
`glGetDebugMessageLog(int count, IntBuffer sources, IntBuffer types, IntBuffer ids, IntBuffer severities, IntBuffer lengths, ByteBuffer messageLog)`
`static void`
`glGetFramebufferParameter(int target, int pname, IntBuffer params)`
`static int`
`glGetFramebufferParameteri(int target, int pname)`
Overloads glGetFramebufferParameteriv.
`static void`
`glGetInternalformat(int target, int internalformat, int pname, LongBuffer params)`
`static long`
`glGetInternalformati64(int target, int internalformat, int pname)`
Overloads glGetInternalformati64v.
`static String`
`glGetObjectLabel(int identifier, int name, int bufSize)`
Overloads glGetObjectLabel.
`static void`
`glGetObjectLabel(int identifier, int name, IntBuffer length, ByteBuffer label)`
`static String`
`glGetObjectPtrLabel(PointerWrapper ptr, int bufSize)`
Overloads glGetObjectPtrLabel.
`static void`
`glGetObjectPtrLabel(PointerWrapper ptr, IntBuffer length, ByteBuffer label)`
`static void`
`glGetProgramInterface(int program, int programInterface, int pname, IntBuffer params)`
`static int`
`glGetProgramInterfacei(int program, int programInterface, int pname)`
Overloads glGetProgramInterfaceiv.
`static void`
`glGetProgramResource(int program, int programInterface, int index, IntBuffer props, IntBuffer length, IntBuffer params)`
`static int`
`glGetProgramResourceIndex(int program, int programInterface, CharSequence name)`
Overloads glGetProgramResourceIndex.
`static int`
`glGetProgramResourceIndex(int program, int programInterface, ByteBuffer name)`
`static int`
`glGetProgramResourceLocation(int program, int programInterface, CharSequence name)`
Overloads glGetProgramResourceLocation.
`static int`
`glGetProgramResourceLocation(int program, int programInterface, ByteBuffer name)`
`static int`
`glGetProgramResourceLocationIndex(int program, int programInterface, CharSequence name)`
Overloads glGetProgramResourceLocationIndex.
`static int`
`glGetProgramResourceLocationIndex(int program, int programInterface, ByteBuffer name)`
`static String`
`glGetProgramResourceName(int program, int programInterface, int index, int bufSize)`
Overloads glGetProgramResourceName.
`static void`
`glGetProgramResourceName(int program, int programInterface, int index, IntBuffer length, ByteBuffer name)`
`static void`
`glInvalidateBufferData(int buffer)`
`static void`
`glInvalidateBufferSubData(int buffer, long offset, long length)`
`static void`
`glInvalidateFramebuffer(int target, IntBuffer attachments)`
`static void`
`glInvalidateSubFramebuffer(int target, IntBuffer attachments, int x, int y, int width, int height)`
`static void`
`glInvalidateTexImage(int texture, int level)`
`static void`
`glInvalidateTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth)`
`static void`
`glMultiDrawArraysIndirect(int mode, long indirect_buffer_offset, int primcount, int stride)`
`static void`
`glMultiDrawArraysIndirect(int mode, ByteBuffer indirect, int primcount, int stride)`
`static void`
`glMultiDrawArraysIndirect(int mode, IntBuffer indirect, int primcount, int stride)`
Overloads glMultiDrawArraysIndirect.
`static void`
`glMultiDrawElementsIndirect(int mode, int type, long indirect_buffer_offset, int primcount, int stride)`
`static void`
`glMultiDrawElementsIndirect(int mode, int type, ByteBuffer indirect, int primcount, int stride)`
`static void`
`glMultiDrawElementsIndirect(int mode, int type, IntBuffer indirect, int primcount, int stride)`
Overloads glMultiDrawElementsIndirect.
`static void`
`glObjectLabel(int identifier, int name, CharSequence label)`
Overloads glObjectLabel.
`static void`
`glObjectLabel(int identifier, int name, ByteBuffer label)`
`static void`
`glObjectPtrLabel(PointerWrapper ptr, CharSequence label)`
Overloads glObjectPtrLabel.
`static void`
`glObjectPtrLabel(PointerWrapper ptr, ByteBuffer label)`
`static void`
`glPopDebugGroup()`
`static void`
`glPushDebugGroup(int source, int id, CharSequence message)`
Overloads glPushDebugGroup.
`static void`
`glPushDebugGroup(int source, int id, ByteBuffer message)`
`static void`
`glShaderStorageBlockBinding(int program, int storageBlockIndex, int storageBlockBinding)`
`static void`
`glTexBufferRange(int target, int internalformat, int buffer, long offset, long size)`
`static void`
`glTexStorage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)`
`static void`
`glTexStorage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)`
`static void`
`glTextureView(int texture, int target, int origtexture, int internalformat, int minlevel, int numlevels, int minlayer, int numlayers)`
`static void`
`glVertexAttribBinding(int attribindex, int bindingindex)`
`static void`
`glVertexAttribFormat(int attribindex, int size, int type, boolean normalized, int relativeoffset)`
`static void`
`glVertexAttribIFormat(int attribindex, int size, int type, int relativeoffset)`
`static void`
`glVertexAttribLFormat(int attribindex, int size, int type, int relativeoffset)`
`static void`
`glVertexBindingDivisor(int bindingindex, int divisor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_NUM_SHADING_LANGUAGE_VERSIONS

public static final int GL_NUM_SHADING_LANGUAGE_VERSIONS
No. of supported Shading Language Versions. Accepted by the <pname> parameter of GetIntegerv.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_LONG

public static final int GL_VERTEX_ATTRIB_ARRAY_LONG
Vertex attrib array has unconverted doubles. Accepted by the <pname> parameter of GetVertexAttribiv.

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB8_ETC2

public static final int GL_COMPRESSED_RGB8_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ETC2

public static final int GL_COMPRESSED_SRGB8_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2

public static final int GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2

public static final int GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGBA8_ETC2_EAC

public static final int GL_COMPRESSED_RGBA8_ETC2_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC

public static final int GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_R11_EAC

public static final int GL_COMPRESSED_R11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_R11_EAC

public static final int GL_COMPRESSED_SIGNED_R11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_RG11_EAC

public static final int GL_COMPRESSED_RG11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_COMPRESSED_SIGNED_RG11_EAC

public static final int GL_COMPRESSED_SIGNED_RG11_EAC
Accepted by the <internalformat> parameter of CompressedTexImage2D

See Also:
  - Constant Field Values

### GL_PRIMITIVE_RESTART_FIXED_INDEX

public static final int GL_PRIMITIVE_RESTART_FIXED_INDEX
Accepted by the <target> parameter of Enable and Disable:

See Also:
  - Constant Field Values

### GL_ANY_SAMPLES_PASSED_CONSERVATIVE

public static final int GL_ANY_SAMPLES_PASSED_CONSERVATIVE
Accepted by the <target> parameter of BeginQuery, EndQuery, GetQueryIndexediv and GetQueryiv:

See Also:
  - Constant Field Values

### GL_MAX_ELEMENT_INDEX

public static final int GL_MAX_ELEMENT_INDEX
Accepted by the <value> parameter of the GetInteger* functions:

See Also:
  - Constant Field Values

### GL_COMPUTE_SHADER

public static final int GL_COMPUTE_SHADER
Accepted by the <type> parameter of CreateShader and returned in the <params> parameter by GetShaderiv:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_UNIFORM_BLOCKS

public static final int GL_MAX_COMPUTE_UNIFORM_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS

public static final int GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_IMAGE_UNIFORMS

public static final int GL_MAX_COMPUTE_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_SHARED_MEMORY_SIZE

public static final int GL_MAX_COMPUTE_SHARED_MEMORY_SIZE
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_UNIFORM_COMPONENTS

public static final int GL_MAX_COMPUTE_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_ATOMIC_COUNTERS

public static final int GL_MAX_COMPUTE_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS

public static final int GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS

public static final int GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_WORK_GROUP_COUNT

public static final int GL_MAX_COMPUTE_WORK_GROUP_COUNT
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_WORK_GROUP_SIZE

public static final int GL_MAX_COMPUTE_WORK_GROUP_SIZE
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetFloati_v, GetDoublei_v and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_COMPUTE_WORK_GROUP_SIZE

public static final int GL_COMPUTE_WORK_GROUP_SIZE
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER

public static final int GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER
Accepted by the <pname> parameter of GetActiveUniformBlockiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_DISPATCH_INDIRECT_BUFFER

public static final int GL_DISPATCH_INDIRECT_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:

See Also:
  - Constant Field Values

### GL_DISPATCH_INDIRECT_BUFFER_BINDING

public static final int GL_DISPATCH_INDIRECT_BUFFER_BINDING
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_COMPUTE_SHADER_BIT

public static final int GL_COMPUTE_SHADER_BIT
Accepted by the <stages> parameter of UseProgramStages:

See Also:
  - Constant Field Values

### GL_DEBUG_OUTPUT

public static final int GL_DEBUG_OUTPUT
Tokens accepted by the <target> parameters of Enable, Disable, and IsEnabled:

See Also:
  - Constant Field Values

### GL_DEBUG_OUTPUT_SYNCHRONOUS

public static final int GL_DEBUG_OUTPUT_SYNCHRONOUS
Tokens accepted by the <target> parameters of Enable, Disable, and IsEnabled:

See Also:
  - Constant Field Values

### GL_CONTEXT_FLAG_DEBUG_BIT

public static final int GL_CONTEXT_FLAG_DEBUG_BIT
Returned by GetIntegerv when <pname> is CONTEXT_FLAGS:

See Also:
  - Constant Field Values

### GL_MAX_DEBUG_MESSAGE_LENGTH

public static final int GL_MAX_DEBUG_MESSAGE_LENGTH
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_DEBUG_LOGGED_MESSAGES

public static final int GL_MAX_DEBUG_LOGGED_MESSAGES
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_DEBUG_LOGGED_MESSAGES

public static final int GL_DEBUG_LOGGED_MESSAGES
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH

public static final int GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_DEBUG_GROUP_STACK_DEPTH

public static final int GL_MAX_DEBUG_GROUP_STACK_DEPTH
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_DEBUG_GROUP_STACK_DEPTH

public static final int GL_DEBUG_GROUP_STACK_DEPTH
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_LABEL_LENGTH

public static final int GL_MAX_LABEL_LENGTH
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev and GetInteger64v:

See Also:
  - Constant Field Values

### GL_DEBUG_CALLBACK_FUNCTION

public static final int GL_DEBUG_CALLBACK_FUNCTION
Tokens accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

### GL_DEBUG_CALLBACK_USER_PARAM

public static final int GL_DEBUG_CALLBACK_USER_PARAM
Tokens accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_API

public static final int GL_DEBUG_SOURCE_API
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_WINDOW_SYSTEM

public static final int GL_DEBUG_SOURCE_WINDOW_SYSTEM
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_SHADER_COMPILER

public static final int GL_DEBUG_SOURCE_SHADER_COMPILER
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_THIRD_PARTY

public static final int GL_DEBUG_SOURCE_THIRD_PARTY
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_APPLICATION

public static final int GL_DEBUG_SOURCE_APPLICATION
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_OTHER

public static final int GL_DEBUG_SOURCE_OTHER
Tokens accepted or provided by the <source> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <sources> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_ERROR

public static final int GL_DEBUG_TYPE_ERROR
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR

public static final int GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR

public static final int GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_PORTABILITY

public static final int GL_DEBUG_TYPE_PORTABILITY
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_PERFORMANCE

public static final int GL_DEBUG_TYPE_PERFORMANCE
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_OTHER

public static final int GL_DEBUG_TYPE_OTHER
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_MARKER

public static final int GL_DEBUG_TYPE_MARKER
Tokens accepted or provided by the <type> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_PUSH_GROUP

public static final int GL_DEBUG_TYPE_PUSH_GROUP
Tokens accepted or provided by the <type> parameters of DebugMessageControl and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_POP_GROUP

public static final int GL_DEBUG_TYPE_POP_GROUP
Tokens accepted or provided by the <type> parameters of DebugMessageControl and DEBUGPROC, and the <types> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_HIGH

public static final int GL_DEBUG_SEVERITY_HIGH
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_MEDIUM

public static final int GL_DEBUG_SEVERITY_MEDIUM
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_LOW

public static final int GL_DEBUG_SEVERITY_LOW
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_NOTIFICATION

public static final int GL_DEBUG_SEVERITY_NOTIFICATION
Tokens accepted or provided by the <severity> parameters of DebugMessageControl, DebugMessageInsert and DEBUGPROC callback functions, and the <severities> parameter of GetDebugMessageLog:

See Also:
  - Constant Field Values

### GL_BUFFER

public static final int GL_BUFFER
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_SHADER

public static final int GL_SHADER
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_PROGRAM

public static final int GL_PROGRAM
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_QUERY

public static final int GL_QUERY
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_PROGRAM_PIPELINE

public static final int GL_PROGRAM_PIPELINE
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_SAMPLER

public static final int GL_SAMPLER
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_DISPLAY_LIST

public static final int GL_DISPLAY_LIST
Tokens accepted or provided by the <identifier> parameters of ObjectLabel and GetObjectLabel:

See Also:
  - Constant Field Values

### GL_MAX_UNIFORM_LOCATIONS

public static final int GL_MAX_UNIFORM_LOCATIONS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_WIDTH

public static final int GL_FRAMEBUFFER_DEFAULT_WIDTH
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_HEIGHT

public static final int GL_FRAMEBUFFER_DEFAULT_HEIGHT
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_LAYERS

public static final int GL_FRAMEBUFFER_DEFAULT_LAYERS
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_SAMPLES

public static final int GL_FRAMEBUFFER_DEFAULT_SAMPLES
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS

public static final int GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS
Accepted by the <pname> parameter of FramebufferParameteri, GetFramebufferParameteriv, NamedFramebufferParameteriEXT, and GetNamedFramebufferParameterivEXT:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_WIDTH

public static final int GL_MAX_FRAMEBUFFER_WIDTH
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_HEIGHT

public static final int GL_MAX_FRAMEBUFFER_HEIGHT
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_LAYERS

public static final int GL_MAX_FRAMEBUFFER_LAYERS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAMEBUFFER_SAMPLES

public static final int GL_MAX_FRAMEBUFFER_SAMPLES
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_SUPPORTED

public static final int GL_INTERNALFORMAT_SUPPORTED
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_PREFERRED

public static final int GL_INTERNALFORMAT_PREFERRED
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_RED_SIZE

public static final int GL_INTERNALFORMAT_RED_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_GREEN_SIZE

public static final int GL_INTERNALFORMAT_GREEN_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_BLUE_SIZE

public static final int GL_INTERNALFORMAT_BLUE_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_ALPHA_SIZE

public static final int GL_INTERNALFORMAT_ALPHA_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_DEPTH_SIZE

public static final int GL_INTERNALFORMAT_DEPTH_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_STENCIL_SIZE

public static final int GL_INTERNALFORMAT_STENCIL_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_SHARED_SIZE

public static final int GL_INTERNALFORMAT_SHARED_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_RED_TYPE

public static final int GL_INTERNALFORMAT_RED_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_GREEN_TYPE

public static final int GL_INTERNALFORMAT_GREEN_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_BLUE_TYPE

public static final int GL_INTERNALFORMAT_BLUE_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_ALPHA_TYPE

public static final int GL_INTERNALFORMAT_ALPHA_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_DEPTH_TYPE

public static final int GL_INTERNALFORMAT_DEPTH_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_INTERNALFORMAT_STENCIL_TYPE

public static final int GL_INTERNALFORMAT_STENCIL_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_WIDTH

public static final int GL_MAX_WIDTH
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_HEIGHT

public static final int GL_MAX_HEIGHT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_DEPTH

public static final int GL_MAX_DEPTH
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_LAYERS

public static final int GL_MAX_LAYERS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_DIMENSIONS

public static final int GL_MAX_COMBINED_DIMENSIONS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COLOR_COMPONENTS

public static final int GL_COLOR_COMPONENTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENTS

public static final int GL_DEPTH_COMPONENTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_STENCIL_COMPONENTS

public static final int GL_STENCIL_COMPONENTS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COLOR_RENDERABLE

public static final int GL_COLOR_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_DEPTH_RENDERABLE

public static final int GL_DEPTH_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_STENCIL_RENDERABLE

public static final int GL_STENCIL_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_RENDERABLE

public static final int GL_FRAMEBUFFER_RENDERABLE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_RENDERABLE_LAYERED

public static final int GL_FRAMEBUFFER_RENDERABLE_LAYERED
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BLEND

public static final int GL_FRAMEBUFFER_BLEND
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_READ_PIXELS

public static final int GL_READ_PIXELS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_READ_PIXELS_FORMAT

public static final int GL_READ_PIXELS_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_READ_PIXELS_TYPE

public static final int GL_READ_PIXELS_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMAGE_FORMAT

public static final int GL_TEXTURE_IMAGE_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMAGE_TYPE

public static final int GL_TEXTURE_IMAGE_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_GET_TEXTURE_IMAGE_FORMAT

public static final int GL_GET_TEXTURE_IMAGE_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_GET_TEXTURE_IMAGE_TYPE

public static final int GL_GET_TEXTURE_IMAGE_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MIPMAP

public static final int GL_MIPMAP
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_MANUAL_GENERATE_MIPMAP

public static final int GL_MANUAL_GENERATE_MIPMAP
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_AUTO_GENERATE_MIPMAP

public static final int GL_AUTO_GENERATE_MIPMAP
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COLOR_ENCODING

public static final int GL_COLOR_ENCODING
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SRGB_READ

public static final int GL_SRGB_READ
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SRGB_WRITE

public static final int GL_SRGB_WRITE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SRGB_DECODE_ARB

public static final int GL_SRGB_DECODE_ARB
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FILTER

public static final int GL_FILTER
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_VERTEX_TEXTURE

public static final int GL_VERTEX_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_TEXTURE

public static final int GL_TESS_CONTROL_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_TEXTURE

public static final int GL_TESS_EVALUATION_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_GEOMETRY_TEXTURE

public static final int GL_GEOMETRY_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FRAGMENT_TEXTURE

public static final int GL_FRAGMENT_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_COMPUTE_TEXTURE

public static final int GL_COMPUTE_TEXTURE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_SHADOW

public static final int GL_TEXTURE_SHADOW
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_GATHER

public static final int GL_TEXTURE_GATHER
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_GATHER_SHADOW

public static final int GL_TEXTURE_GATHER_SHADOW
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_LOAD

public static final int GL_SHADER_IMAGE_LOAD
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_STORE

public static final int GL_SHADER_IMAGE_STORE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_ATOMIC

public static final int GL_SHADER_IMAGE_ATOMIC
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_TEXEL_SIZE

public static final int GL_IMAGE_TEXEL_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_COMPATIBILITY_CLASS

public static final int GL_IMAGE_COMPATIBILITY_CLASS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_PIXEL_FORMAT

public static final int GL_IMAGE_PIXEL_FORMAT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_IMAGE_PIXEL_TYPE

public static final int GL_IMAGE_PIXEL_TYPE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST

public static final int GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST

public static final int GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE

public static final int GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE

public static final int GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_BLOCK_WIDTH

public static final int GL_TEXTURE_COMPRESSED_BLOCK_WIDTH
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT

public static final int GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_COMPRESSED_BLOCK_SIZE

public static final int GL_TEXTURE_COMPRESSED_BLOCK_SIZE
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_CLEAR_BUFFER

public static final int GL_CLEAR_BUFFER
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW

public static final int GL_TEXTURE_VIEW
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_VIEW_COMPATIBILITY_CLASS

public static final int GL_VIEW_COMPATIBILITY_CLASS
Accepted by the <pname> parameter of GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_FULL_SUPPORT

public static final int GL_FULL_SUPPORT
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_CAVEAT_SUPPORT

public static final int GL_CAVEAT_SUPPORT
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_4_X_32

public static final int GL_IMAGE_CLASS_4_X_32
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_2_X_32

public static final int GL_IMAGE_CLASS_2_X_32
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_1_X_32

public static final int GL_IMAGE_CLASS_1_X_32
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_4_X_16

public static final int GL_IMAGE_CLASS_4_X_16
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_2_X_16

public static final int GL_IMAGE_CLASS_2_X_16
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_1_X_16

public static final int GL_IMAGE_CLASS_1_X_16
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_4_X_8

public static final int GL_IMAGE_CLASS_4_X_8
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_2_X_8

public static final int GL_IMAGE_CLASS_2_X_8
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_1_X_8

public static final int GL_IMAGE_CLASS_1_X_8
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_11_11_10

public static final int GL_IMAGE_CLASS_11_11_10
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_IMAGE_CLASS_10_10_10_2

public static final int GL_IMAGE_CLASS_10_10_10_2
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_128_BITS

public static final int GL_VIEW_CLASS_128_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_96_BITS

public static final int GL_VIEW_CLASS_96_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_64_BITS

public static final int GL_VIEW_CLASS_64_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_48_BITS

public static final int GL_VIEW_CLASS_48_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_32_BITS

public static final int GL_VIEW_CLASS_32_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_24_BITS

public static final int GL_VIEW_CLASS_24_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_16_BITS

public static final int GL_VIEW_CLASS_16_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_8_BITS

public static final int GL_VIEW_CLASS_8_BITS
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT1_RGB

public static final int GL_VIEW_CLASS_S3TC_DXT1_RGB
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT1_RGBA

public static final int GL_VIEW_CLASS_S3TC_DXT1_RGBA
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT3_RGBA

public static final int GL_VIEW_CLASS_S3TC_DXT3_RGBA
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_S3TC_DXT5_RGBA

public static final int GL_VIEW_CLASS_S3TC_DXT5_RGBA
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_RGTC1_RED

public static final int GL_VIEW_CLASS_RGTC1_RED
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_RGTC2_RG

public static final int GL_VIEW_CLASS_RGTC2_RG
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_BPTC_UNORM

public static final int GL_VIEW_CLASS_BPTC_UNORM
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_VIEW_CLASS_BPTC_FLOAT

public static final int GL_VIEW_CLASS_BPTC_FLOAT
Returned as possible responses for various <pname> queries to GetInternalformativ and GetInternalformati64v

See Also:
  - Constant Field Values

### GL_UNIFORM

public static final int GL_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_UNIFORM_BLOCK

public static final int GL_UNIFORM_BLOCK
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_PROGRAM_INPUT

public static final int GL_PROGRAM_INPUT
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_PROGRAM_OUTPUT

public static final int GL_PROGRAM_OUTPUT
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_BUFFER_VARIABLE

public static final int GL_BUFFER_VARIABLE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BLOCK

public static final int GL_SHADER_STORAGE_BLOCK
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_VERTEX_SUBROUTINE

public static final int GL_VERTEX_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SUBROUTINE

public static final int GL_TESS_CONTROL_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SUBROUTINE

public static final int GL_TESS_EVALUATION_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SUBROUTINE

public static final int GL_GEOMETRY_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SUBROUTINE

public static final int GL_FRAGMENT_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_COMPUTE_SUBROUTINE

public static final int GL_COMPUTE_SUBROUTINE
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_VERTEX_SUBROUTINE_UNIFORM

public static final int GL_VERTEX_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_CONTROL_SUBROUTINE_UNIFORM

public static final int GL_TESS_CONTROL_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TESS_EVALUATION_SUBROUTINE_UNIFORM

public static final int GL_TESS_EVALUATION_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_GEOMETRY_SUBROUTINE_UNIFORM

public static final int GL_GEOMETRY_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SUBROUTINE_UNIFORM

public static final int GL_FRAGMENT_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_COMPUTE_SUBROUTINE_UNIFORM

public static final int GL_COMPUTE_SUBROUTINE_UNIFORM
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYING

public static final int GL_TRANSFORM_FEEDBACK_VARYING
Accepted by the <programInterface> parameter of GetProgramInterfaceiv, GetProgramResourceIndex, GetProgramResourceName, GetProgramResourceiv, GetProgramResourceLocation, and GetProgramResourceLocationIndex:

See Also:
  - Constant Field Values

### GL_ACTIVE_RESOURCES

public static final int GL_ACTIVE_RESOURCES
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_MAX_NAME_LENGTH

public static final int GL_MAX_NAME_LENGTH
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_MAX_NUM_ACTIVE_VARIABLES

public static final int GL_MAX_NUM_ACTIVE_VARIABLES
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_MAX_NUM_COMPATIBLE_SUBROUTINES

public static final int GL_MAX_NUM_COMPATIBLE_SUBROUTINES
Accepted by the <pname> parameter of GetProgramInterfaceiv:

See Also:
  - Constant Field Values

### GL_NAME_LENGTH

public static final int GL_NAME_LENGTH
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TYPE

public static final int GL_TYPE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ARRAY_SIZE

public static final int GL_ARRAY_SIZE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_OFFSET

public static final int GL_OFFSET
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_BLOCK_INDEX

public static final int GL_BLOCK_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ARRAY_STRIDE

public static final int GL_ARRAY_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_MATRIX_STRIDE

public static final int GL_MATRIX_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_IS_ROW_MAJOR

public static final int GL_IS_ROW_MAJOR
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_INDEX

public static final int GL_ATOMIC_COUNTER_BUFFER_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_BUFFER_BINDING

public static final int GL_BUFFER_BINDING
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_BUFFER_DATA_SIZE

public static final int GL_BUFFER_DATA_SIZE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_NUM_ACTIVE_VARIABLES

public static final int GL_NUM_ACTIVE_VARIABLES
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_VARIABLES

public static final int GL_ACTIVE_VARIABLES
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_VERTEX_SHADER

public static final int GL_REFERENCED_BY_VERTEX_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_TESS_CONTROL_SHADER

public static final int GL_REFERENCED_BY_TESS_CONTROL_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_TESS_EVALUATION_SHADER

public static final int GL_REFERENCED_BY_TESS_EVALUATION_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_GEOMETRY_SHADER

public static final int GL_REFERENCED_BY_GEOMETRY_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_FRAGMENT_SHADER

public static final int GL_REFERENCED_BY_FRAGMENT_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_REFERENCED_BY_COMPUTE_SHADER

public static final int GL_REFERENCED_BY_COMPUTE_SHADER
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TOP_LEVEL_ARRAY_SIZE

public static final int GL_TOP_LEVEL_ARRAY_SIZE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TOP_LEVEL_ARRAY_STRIDE

public static final int GL_TOP_LEVEL_ARRAY_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_LOCATION

public static final int GL_LOCATION
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_LOCATION_INDEX

public static final int GL_LOCATION_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_IS_PER_PATCH

public static final int GL_IS_PER_PATCH
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER

public static final int GL_SHADER_STORAGE_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, and GetBufferPointerv:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_BINDING

public static final int GL_SHADER_STORAGE_BUFFER_BINDING
Accepted by the <pname> parameter of GetIntegerv, GetIntegeri_v, GetBooleanv, GetInteger64v, GetFloatv, GetDoublev, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_START

public static final int GL_SHADER_STORAGE_BUFFER_START
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_SIZE

public static final int GL_SHADER_STORAGE_BUFFER_SIZE
Accepted by the <pname> parameter of GetIntegeri_v, GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS

public static final int GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS

public static final int GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_SHADER_STORAGE_BLOCK_SIZE

public static final int GL_MAX_SHADER_STORAGE_BLOCK_SIZE
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT

public static final int GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT
Accepted by the <pname> parameter of GetIntegerv, GetBooleanv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_SHADER_STORAGE_BARRIER_BIT

public static final int GL_SHADER_STORAGE_BARRIER_BIT
Accepted in the <barriers> bitfield in glMemoryBarrier:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES

public static final int GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES
Alias for the existing token MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS:

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL_TEXTURE_MODE

public static final int GL_DEPTH_STENCIL_TEXTURE_MODE
Accepted by the <pname> parameter of TexParameter* and GetTexParameter*:

See Also:
  - Constant Field Values

### GL_TEXTURE_BUFFER_OFFSET

public static final int GL_TEXTURE_BUFFER_OFFSET
Accepted by the <pname> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_BUFFER_SIZE

public static final int GL_TEXTURE_BUFFER_SIZE
Accepted by the <pname> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT

public static final int GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_MIN_LEVEL

public static final int GL_TEXTURE_VIEW_MIN_LEVEL
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_NUM_LEVELS

public static final int GL_TEXTURE_VIEW_NUM_LEVELS
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_MIN_LAYER

public static final int GL_TEXTURE_VIEW_MIN_LAYER
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_VIEW_NUM_LAYERS

public static final int GL_TEXTURE_VIEW_NUM_LAYERS
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMMUTABLE_LEVELS

public static final int GL_TEXTURE_IMMUTABLE_LEVELS
Accepted by the <pname> parameters of GetTexParameterfv and GetTexParameteriv:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_BINDING

public static final int GL_VERTEX_ATTRIB_BINDING
Accepted by the <pname> parameter of GetVertexAttrib*v:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_RELATIVE_OFFSET

public static final int GL_VERTEX_ATTRIB_RELATIVE_OFFSET
Accepted by the <pname> parameter of GetVertexAttrib*v:

See Also:
  - Constant Field Values

### GL_VERTEX_BINDING_DIVISOR

public static final int GL_VERTEX_BINDING_DIVISOR
Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_VERTEX_BINDING_OFFSET

public static final int GL_VERTEX_BINDING_OFFSET
Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_VERTEX_BINDING_STRIDE

public static final int GL_VERTEX_BINDING_STRIDE
Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET

public static final int GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET
Accepted by the <pname> parameter of GetIntegerv, ...

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATTRIB_BINDINGS

public static final int GL_MAX_VERTEX_ATTRIB_BINDINGS
Accepted by the <pname> parameter of GetIntegerv, ...

See Also:
  - Constant Field Values

## Method Details

### glClearBufferData

public static void glClearBufferData(int target, int internalformat, int format, int type, ByteBuffer data)

### glClearBufferSubData

public static void glClearBufferSubData(int target, int internalformat, long offset, long size, int format, int type, ByteBuffer data)

### glDispatchCompute

public static void glDispatchCompute(int num_groups_x, int num_groups_y, int num_groups_z)

### glDispatchComputeIndirect

public static void glDispatchComputeIndirect(long indirect)

### glCopyImageSubData

public static void glCopyImageSubData(int srcName, int srcTarget, int srcLevel, int srcX, int srcY, int srcZ, int dstName, int dstTarget, int dstLevel, int dstX, int dstY, int dstZ, int srcWidth, int srcHeight, int srcDepth)

### glDebugMessageControl

public static void glDebugMessageControl(int source, int type, int severity, IntBuffer ids, boolean enabled)

### glDebugMessageInsert

public static void glDebugMessageInsert(int source, int type, int id, int severity, ByteBuffer buf)

### glDebugMessageInsert

public static void glDebugMessageInsert(int source, int type, int id, int severity, CharSequence buf)
Overloads glDebugMessageInsert.

### glDebugMessageCallback

public static void glDebugMessageCallback(KHRDebugCallback callback)
The `KHRDebugCallback.Handler` implementation passed to this method will be used for KHR_debug messages. If callback is null, any previously registered handler for the current thread will be unregistered and stop receiving messages.

Parameters:
  `callback` - the callback function to use

### glGetDebugMessageLog

public static int glGetDebugMessageLog(int count, IntBuffer sources, IntBuffer types, IntBuffer ids, IntBuffer severities, IntBuffer lengths, ByteBuffer messageLog)

### glPushDebugGroup

public static void glPushDebugGroup(int source, int id, ByteBuffer message)

### glPushDebugGroup

public static void glPushDebugGroup(int source, int id, CharSequence message)
Overloads glPushDebugGroup.

### glPopDebugGroup

public static void glPopDebugGroup()

### glObjectLabel

public static void glObjectLabel(int identifier, int name, ByteBuffer label)

### glObjectLabel

public static void glObjectLabel(int identifier, int name, CharSequence label)
Overloads glObjectLabel.

### glGetObjectLabel

public static void glGetObjectLabel(int identifier, int name, IntBuffer length, ByteBuffer label)

### glGetObjectLabel

public static String glGetObjectLabel(int identifier, int name, int bufSize)
Overloads glGetObjectLabel.

### glObjectPtrLabel

public static void glObjectPtrLabel(PointerWrapper ptr, ByteBuffer label)

### glObjectPtrLabel

public static void glObjectPtrLabel(PointerWrapper ptr, CharSequence label)
Overloads glObjectPtrLabel.

### glGetObjectPtrLabel

public static void glGetObjectPtrLabel(PointerWrapper ptr, IntBuffer length, ByteBuffer label)

### glGetObjectPtrLabel

public static String glGetObjectPtrLabel(PointerWrapper ptr, int bufSize)
Overloads glGetObjectPtrLabel.

### glFramebufferParameteri

public static void glFramebufferParameteri(int target, int pname, int param)

### glGetFramebufferParameter

public static void glGetFramebufferParameter(int target, int pname, IntBuffer params)

### glGetFramebufferParameteri

public static int glGetFramebufferParameteri(int target, int pname)
Overloads glGetFramebufferParameteriv.

### glGetInternalformat

public static void glGetInternalformat(int target, int internalformat, int pname, LongBuffer params)

### glGetInternalformati64

public static long glGetInternalformati64(int target, int internalformat, int pname)
Overloads glGetInternalformati64v.

### glInvalidateTexSubImage

public static void glInvalidateTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth)

### glInvalidateTexImage

public static void glInvalidateTexImage(int texture, int level)

### glInvalidateBufferSubData

public static void glInvalidateBufferSubData(int buffer, long offset, long length)

### glInvalidateBufferData

public static void glInvalidateBufferData(int buffer)

### glInvalidateFramebuffer

public static void glInvalidateFramebuffer(int target, IntBuffer attachments)

### glInvalidateSubFramebuffer

public static void glInvalidateSubFramebuffer(int target, IntBuffer attachments, int x, int y, int width, int height)

### glMultiDrawArraysIndirect

public static void glMultiDrawArraysIndirect(int mode, ByteBuffer indirect, int primcount, int stride)

### glMultiDrawArraysIndirect

public static void glMultiDrawArraysIndirect(int mode, long indirect_buffer_offset, int primcount, int stride)

### glMultiDrawArraysIndirect

public static void glMultiDrawArraysIndirect(int mode, IntBuffer indirect, int primcount, int stride)
Overloads glMultiDrawArraysIndirect.

### glMultiDrawElementsIndirect

public static void glMultiDrawElementsIndirect(int mode, int type, ByteBuffer indirect, int primcount, int stride)

### glMultiDrawElementsIndirect

public static void glMultiDrawElementsIndirect(int mode, int type, long indirect_buffer_offset, int primcount, int stride)

### glMultiDrawElementsIndirect

public static void glMultiDrawElementsIndirect(int mode, int type, IntBuffer indirect, int primcount, int stride)
Overloads glMultiDrawElementsIndirect.

### glGetProgramInterface

public static void glGetProgramInterface(int program, int programInterface, int pname, IntBuffer params)

### glGetProgramInterfacei

public static int glGetProgramInterfacei(int program, int programInterface, int pname)
Overloads glGetProgramInterfaceiv.

### glGetProgramResourceIndex

public static int glGetProgramResourceIndex(int program, int programInterface, ByteBuffer name)

### glGetProgramResourceIndex

public static int glGetProgramResourceIndex(int program, int programInterface, CharSequence name)
Overloads glGetProgramResourceIndex.

### glGetProgramResourceName

public static void glGetProgramResourceName(int program, int programInterface, int index, IntBuffer length, ByteBuffer name)

### glGetProgramResourceName

public static String glGetProgramResourceName(int program, int programInterface, int index, int bufSize)
Overloads glGetProgramResourceName.

### glGetProgramResource

public static void glGetProgramResource(int program, int programInterface, int index, IntBuffer props, IntBuffer length, IntBuffer params)

### glGetProgramResourceLocation

public static int glGetProgramResourceLocation(int program, int programInterface, ByteBuffer name)

### glGetProgramResourceLocation

public static int glGetProgramResourceLocation(int program, int programInterface, CharSequence name)
Overloads glGetProgramResourceLocation.

### glGetProgramResourceLocationIndex

public static int glGetProgramResourceLocationIndex(int program, int programInterface, ByteBuffer name)

### glGetProgramResourceLocationIndex

public static int glGetProgramResourceLocationIndex(int program, int programInterface, CharSequence name)
Overloads glGetProgramResourceLocationIndex.

### glShaderStorageBlockBinding

public static void glShaderStorageBlockBinding(int program, int storageBlockIndex, int storageBlockBinding)

### glTexBufferRange

public static void glTexBufferRange(int target, int internalformat, int buffer, long offset, long size)

### glTexStorage2DMultisample

public static void glTexStorage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)

### glTexStorage3DMultisample

public static void glTexStorage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)

### glTextureView

public static void glTextureView(int texture, int target, int origtexture, int internalformat, int minlevel, int numlevels, int minlayer, int numlayers)

### glBindVertexBuffer

public static void glBindVertexBuffer(int bindingindex, int buffer, long offset, int stride)

### glVertexAttribFormat

public static void glVertexAttribFormat(int attribindex, int size, int type, boolean normalized, int relativeoffset)

### glVertexAttribIFormat

public static void glVertexAttribIFormat(int attribindex, int size, int type, int relativeoffset)

### glVertexAttribLFormat

public static void glVertexAttribLFormat(int attribindex, int size, int type, int relativeoffset)

### glVertexAttribBinding

public static void glVertexAttribBinding(int attribindex, int bindingindex)

### glVertexBindingDivisor

public static void glVertexBindingDivisor(int bindingindex, int divisor)